# Uses of Enum Class
org.stianloader.picoresolve.version.VersionSelectionPreference

Packages that use VersionSelectionPreference
Package
Description
org.stianloader.picoresolve.version

## Uses of VersionSelectionPreference in org.stianloader.picoresolve.version

Methods in org.stianloader.picoresolve.version that return VersionSelectionPreference
Modifier and Type
Method
Description
`static VersionSelectionPreference`
VersionSelectionPreference.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VersionSelectionPreference[]`
VersionSelectionPreference.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.stianloader.picoresolve.version with parameters of type VersionSelectionPreference
Modifier and Type
Method
Description
`@Nullable MavenVersion`
VersionRange.`selectFrom(@Nullable Collection<@NotNull MavenVersion> knownAvailable, @Nullable MavenVersion releaseVersion, @NotNull VersionSelectionPreference preference)`
Select the `MavenVersion` that best applies to this `VersionRange`, making use of a list of all available versions (`knownAvailable`) using the provided `VersionSelectionPreference`.